import { z } from 'zod';

export const postgresConfigSchema = z.object({
  enabled: z.boolean().optional().default(true),
  host: z.string().default('localhost'),
  port: z.number().default(5432),
  database: z.string(),
  user: z.string(),
  password: z.string(),
});

export type PostgresConfig = z.infer<typeof postgresConfigSchema>;
